A BlockTransactionRequest is used to fetch a Transaction included in a block that is not returned in a BlockResponse.

export
interface

  RosettaBlockTransactionRequest

### Hierarchy

- RosettaBlockTransactionRequest

## Index

### Properties

- block_identifier
- network_identifier
- transaction_identifier

## Properties

### block_identifier

block_identifier: object

- Defined in src/generated/models/RosettaBlockTransactionRequest.ts:44

When fetching data by BlockIdentifier, it may be possible to only specify the index or hash. If neither property is specified, it is assumed that the client is making a request at the current block.

memberof

  RosettaBlockTransactionRequest

### network_identifier

network_identifier: NetworkIdentifier

- Defined in src/generated/models/RosettaBlockTransactionRequest.ts:38

memberof

  RosettaBlockTransactionRequest

### transaction_identifier

transaction_identifier: TransactionIdentifier

- Defined in src/generated/models/RosettaBlockTransactionRequest.ts:50

memberof

  RosettaBlockTransactionRequest

Generated using TypeDoc